hfs_fs snapshot 13Aug96 bug

Paul H. Hargrove hfs-interest@ccs.neu.edu
Wed, 14 Aug 1996 13:19:39 -0700 (PDT)


Well, I made the mistake of assuming that since it worked with my
2.0.0 kernel that it would work with all 2.0.x kernels; after all
there should only be bug fixes in the 2.0.x series, right?

Unfortunately the 2.0.1 patch included a POSIX.1 compliance patch that
made a change to the VFS interface.  The result is that the 13Aug96
snapshot will work with kernels 1.3.67-2.0.0 but won't compile with
2.0.1 or greater.  I know exactly how to fix the problem but won't
have a chance to package up another snapshot for a day or two.

Until I can get a newer snapshot together, I'd appreciate reports
(both positive and negative) of any testing any of you might do with
the older kernels, but don't go out of your way to downgrade since a
fixed version is only a day or two away.

Unfortunately, this means that when released 0.7 will be for 2.0.1 and
newer only.  (At least it cuts my testing down to a dozen kernels
rather than a random sampling of the 61 kernels from 1.3.67 to 2.0.12).
----
Paul H. Hargrove                   All material not otherwise attributed
hargrove@sccm.stanford.edu         is the opinion of the author or a typo.